Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollections

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollections

public final class LazyCollections extends Object
`LazyCollection`s utility class.

## Method Summary

Modifier and Type
Method
Description
`static <T> LazyBag<T>`
`asLazyBag(Collection<T> source)`
Returns `source` wrapped as a `LazyBag`.
`static <T> LazyList<T>`
`asLazyList(Collection<T> source)`
Returns `source` wrapped as a `LazyList`.
`static <T> LazyOrderedSet<T>`
`asLazyOrderedSet(Collection<T> source)`
Returns `source` wrapped as a `LazyOrderedSet`.
`static <T> LazySet<T>`
`asLazySet(Collection<T> source)`
Returns `source` wrapped as a `LazySet`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### asLazyList

public static <T> LazyList<T> asLazyList(Collection<T> source)
Returns `source` wrapped as a `LazyList`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyList`

### asLazyOrderedSet

public static <T> LazyOrderedSet<T> asLazyOrderedSet(Collection<T> source)
Returns `source` wrapped as a `LazyOrderedSet`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyList`

### asLazyBag

public static <T> LazyBag<T> asLazyBag(Collection<T> source)
Returns `source` wrapped as a `LazyBag`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyBag`

### asLazySet

public static <T> LazySet<T> asLazySet(Collection<T> source)
Returns `source` wrapped as a `LazySet`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazySet`